%define	oname	Pmw


Summary:	Python toolkit for building compound Tkinter widgets
Name:		python-pmw
Version:	2.0.0
Release:	%mkrel 7
License:	MIT
Group:		Development/Python
Url:		http://www.dscpl.com.au/pmw
Source0:	https://pypi.python.org/packages/source/P/%{oname}/%{oname}-2.0.0.tar.gz
Requires:	blt tkinter python
Obsoletes:	%{oname}
Provides:	%{oname} = %{version}-%{release}
Buildarch:	noarch
BuildRequires:	python-devel

%description
Pmw is a toolkit for building high-level compound widgets in Python 
using the Tkinter module. It consists of a set of base classes and a 
library of flexible and extensible megawidgets built on this foundation. 
These megawidgets include notebooks, comboboxes, selection widgets, paned 
widgets, scrolled widgets and dialog windows. 

%package -n python3-pmw
Summary:    Python 3 toolkit for building compound Tkinter widgets
Group:      Development/Python
BuildRequires:  python3-devel
Requires:	blt tkinter3 python3

%description -n python3-pmw
Pmw is a toolkit for building high-level compound widgets in Python 3
using the Tkinter module. It consists of a set of base classes and a 
library of flexible and extensible megawidgets built on this foundation. 
These megawidgets include notebooks, comboboxes, selection widgets, paned 
widgets, scrolled widgets and dialog windows.

%prep
%setup -q -n %{oname}-%{version} 
cp -a . %{py3dir} 

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python} setup.py build

%install
pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{oname}
%{python_sitelib}/*.egg-info

%files -n python3-pmw
%{python3_sitelib}/%{oname}
%{python3_sitelib}/*.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 2.0.0-7.mga6
+ Revision: 970939
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.0.0-6.mga6
+ Revision: 888820
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-5.mga5
+ Revision: 742783
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-4.mga5
+ Revision: 729324
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 688220
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.0.0-2.mga5
+ Revision: 628896
- Rebuild for new Python

* Sat Apr 05 2014 philippem <philippem> 2.0.0-1.mga5
+ Revision: 611964
- build with pypi package, fix mga#13143

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.3.mga4
+ Revision: 544069
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-0.2.mga4
+ Revision: 499122
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 joequant <joequant> 2.0.0-0.1.mga4
+ Revision: 491311
- update source
- upgrade to 2.0.0rc1

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-7.mga3
+ Revision: 379280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 19 2011 ennael <ennael> 1.3.2-6.mga1
+ Revision: 74517
- clean spec file
- imported package python-pmw


* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.3.2-6mdv2010.0
+ Revision: 442392
- rebuild

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.3.2-5mdv2009.1
+ Revision: 319601
- rebuild with python 2.6

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-4mdv2009.0
+ Revision: 259743
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-3mdv2009.0
+ Revision: 247590
- rebuild
- fix no-buildroot-tag

* Thu Nov 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.2-1mdv2008.1
+ Revision: 108959
- import python-pmw


